AttachmentQueryCriteria.AttachmentsQueryCriteria
Keywords: net.corda.core.node.services.vault.AttachmentQueryCriteria.AttachmentsQueryCriteria class
Date: 2023-09-18

net.corda.core.node.services.vault

## Class AttachmentQueryCriteria.AttachmentsQueryCriteria

- net.corda.core.node.services.vault.AttachmentQueryCriteria
- - net.corda.core.node.services.vault.AttachmentQueryCriteria.AttachmentsQueryCriteria

- All Implemented Interfaces:
    GenericQueryCriteria<Q,P>
  Enclosing class:
    AttachmentQueryCriteria

      public static class AttachmentQueryCriteria.AttachmentsQueryCriteria
      extends AttachmentQueryCriteria

  AttachmentsQueryCriteria:

- - ### Constructor Detail

    - #### AttachmentsQueryCriteria

          public AttachmentsQueryCriteria(@Nullable
                                          ColumnPredicate<java.lang.String> uploaderCondition,
                                          @Nullable
                                          ColumnPredicate<java.lang.String> filenameCondition,
                                          @Nullable
                                          ColumnPredicate<java.time.Instant> uploadDateCondition,
                                          @Nullable
                                          ColumnPredicate<java.util.List> contractClassNamesCondition,
                                          @Nullable
                                          ColumnPredicate<java.util.List> signersCondition,
                                          @Nullable
                                          ColumnPredicate<java.lang.Boolean> isSignedCondition,
                                          @Nullable
                                          ColumnPredicate<java.lang.Integer> versionCondition)

      AttachmentsQueryCriteria:

    - #### AttachmentsQueryCriteria

          public AttachmentsQueryCriteria()

      AttachmentsQueryCriteria:

    - #### AttachmentsQueryCriteria

          public AttachmentsQueryCriteria(@Nullable
                                          ColumnPredicate<java.lang.String> uploaderCondition,
                                          @Nullable
                                          ColumnPredicate<java.lang.String> filenameCondition,
                                          @Nullable
                                          ColumnPredicate<java.time.Instant> uploadDateCondition)

    - #### AttachmentsQueryCriteria

          public AttachmentsQueryCriteria(@Nullable
                                          ColumnPredicate<java.lang.String> uploaderCondition)

    - #### AttachmentsQueryCriteria

          public AttachmentsQueryCriteria(@Nullable
                                          ColumnPredicate<java.lang.String> uploaderCondition,
                                          @Nullable
                                          ColumnPredicate<java.lang.String> filenameCondition)

  - ### Method Detail

    - #### visit

          @NotNull
          public java.util.Collection<javax.persistence.criteria.Predicate> visit(@NotNull
                                                                                           AttachmentsQueryCriteriaParser parser)

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.AttachmentQueryCriteria.AttachmentsQueryCriteria copy(@Nullable
                                                                                                                   ColumnPredicate<java.lang.String> uploaderCondition,
                                                                                                                   @Nullable
                                                                                                                   ColumnPredicate<java.lang.String> filenameCondition,
                                                                                                                   @Nullable
                                                                                                                   ColumnPredicate<java.time.Instant> uploadDateCondition)

    - #### withUploader

          @NotNull
          public net.corda.core.node.services.vault.AttachmentQueryCriteria.AttachmentsQueryCriteria withUploader(@NotNull
                                                                                                                           ColumnPredicate<java.lang.String> uploaderPredicate)

    - #### withFilename

          @NotNull
          public net.corda.core.node.services.vault.AttachmentQueryCriteria.AttachmentsQueryCriteria withFilename(@NotNull
                                                                                                                           ColumnPredicate<java.lang.String> filenamePredicate)

    - #### withUploadDate

          @NotNull
          public net.corda.core.node.services.vault.AttachmentQueryCriteria.AttachmentsQueryCriteria withUploadDate(@NotNull
                                                                                                                             ColumnPredicate<java.time.Instant> uploadDatePredicate)

    - #### withContractClassNames

          @NotNull
          public net.corda.core.node.services.vault.AttachmentQueryCriteria.AttachmentsQueryCriteria withContractClassNames(@NotNull
                                                                                                                                     ColumnPredicate<java.util.List> contractClassNamesPredicate)

    - #### withSigners

          @NotNull
          public net.corda.core.node.services.vault.AttachmentQueryCriteria.AttachmentsQueryCriteria withSigners(@NotNull
                                                                                                                          ColumnPredicate<java.util.List> signersPredicate)

    - #### isSigned

          @NotNull
          public net.corda.core.node.services.vault.AttachmentQueryCriteria.AttachmentsQueryCriteria isSigned(@NotNull
                                                                                                                       ColumnPredicate<java.lang.Boolean> isSignedPredicate)

    - #### withVersion

          @NotNull
          public net.corda.core.node.services.vault.AttachmentQueryCriteria.AttachmentsQueryCriteria withVersion(@NotNull
                                                                                                                          ColumnPredicate<java.lang.Integer> versionPredicate)

    - #### getUploaderCondition

          @Nullable
          public ColumnPredicate<java.lang.String> getUploaderCondition()

    - #### getFilenameCondition

          @Nullable
          public ColumnPredicate<java.lang.String> getFilenameCondition()

    - #### getUploadDateCondition

          @Nullable
          public ColumnPredicate<java.time.Instant> getUploadDateCondition()

    - #### getContractClassNamesCondition

          @Nullable
          public ColumnPredicate<java.util.List> getContractClassNamesCondition()

    - #### getSignersCondition

          @Nullable
          public ColumnPredicate<java.util.List> getSignersCondition()

    - #### isSignedCondition

          @Nullable
          public ColumnPredicate<java.lang.Boolean> isSignedCondition()

    - #### getVersionCondition

          @Nullable
          public ColumnPredicate<java.lang.Integer> getVersionCondition()

    - #### component1

          @Nullable
          public ColumnPredicate<java.lang.String> component1()

    - #### component2

          @Nullable
          public ColumnPredicate<java.lang.String> component2()

    - #### component3

          @Nullable
          public ColumnPredicate<java.time.Instant> component3()

    - #### component4

          @Nullable
          public ColumnPredicate<java.util.List> component4()

    - #### component5

          @Nullable
          public ColumnPredicate<java.util.List> component5()

    - #### component6

          @Nullable
          public ColumnPredicate<java.lang.Boolean> component6()

    - #### component7

          @Nullable
          public ColumnPredicate<java.lang.Integer> component7()

    - #### copy

          @NotNull
          public net.corda.core.node.services.vault.AttachmentQueryCriteria.AttachmentsQueryCriteria copy(@Nullable
                                                                                                                   ColumnPredicate<java.lang.String> uploaderCondition,
                                                                                                                   @Nullable
                                                                                                                   ColumnPredicate<java.lang.String> filenameCondition,
                                                                                                                   @Nullable
                                                                                                                   ColumnPredicate<java.time.Instant> uploadDateCondition,
                                                                                                                   @Nullable
                                                                                                                   ColumnPredicate<java.util.List> contractClassNamesCondition,
                                                                                                                   @Nullable
                                                                                                                   ColumnPredicate<java.util.List> signersCondition,
                                                                                                                   @Nullable
                                                                                                                   ColumnPredicate<java.lang.Boolean> isSignedCondition,
                                                                                                                   @Nullable
                                                                                                                   ColumnPredicate<java.lang.Integer> versionCondition)

      AttachmentsQueryCriteria:

    - #### toString

          @NotNull
          public java.lang.String toString()

      AttachmentsQueryCriteria:

    - #### hashCode

          public int hashCode()

      AttachmentsQueryCriteria:

    - #### equals

          public boolean equals(@Nullable
                                java.lang.Object p)

      AttachmentsQueryCriteria: